=== doc/manual/CMakeLists.txt ===
########### install files ###############

KDOCTOOLS_CREATE_HANDBOOK(index.docbook
                     INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
                     SUBDIR konsole)
