=== debian/changelog ===
konsole (4:20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).
  * Removed Maximiliano Curia, Modestas Vainius from the uploaders,
    thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 22:56:09 +0100

konsole (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:59:41 +0100

konsole (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.1).
  * Drop patch revert-upstream-bold-color-paint, fixed upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 23:00:00 +0100

konsole (4:20.12.0-2) unstable; urgency=medium

  * Team upload.
  * Revert upstream change with respect to bold and intense colors
    (debian/patches/revert-upstream-bold-color-paint)
    (Thanks to Antonio Russo) (Closes: #977338)

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 09:39:41 +0900

konsole (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (no change required).

  [ Aurélien COUDERC ]
  * Refresh copyright information.
  * Refresh upstream metadata: remove Contact field already in machine
    readable copyright, simplyfy Bug-Database URL.
  * Remove unused lintian override konsole-dbgsym: stripped-library.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Dec 2020 00:33:59 +0100

konsole (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.3).
  * Drop lintian override for tag postinst-must-call-ldconfig that was removed
    from lintian.
  * Review copyright information.
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Override lintian error that konsole.debug doesn’t contain debug
    information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Nov 2020 23:42:55 +0100
