=== debian/changelog ===
konsole (4:21.08.1-1ubuntu1) impish; urgency=medium

  * Fix lintian overrides.
  * Cherry pick upstream bugfixes scheduled for 21.08.2
    - upstream_fix-bug-401898.patch
    - upstream_fix-bug-441199.patch
    - upstream_fix-bug-441889.patch
    - upstream_fix-bug-432077.patch
    - upstream_fix-bug-441610.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Sep 2021 19:09:20 +0100

konsole (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Drop upstream patches.
  * Bump standards version, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Thu, 02 Sep 2021 23:41:06 +0900

konsole (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Activate plugin manager and install new files.
  * Cherry pick two upstream fixes for main window size.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 15:44:43 +0900

konsole (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:38:24 +0900

konsole (4:21.04.1-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for alpha-channel of scrollbars.

 -- Norbert Preining <norbert@preining.info>  Wed, 26 May 2021 05:13:15 +0900

konsole (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).
  * Drop Kubuntu from maintainer name.

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 05:45:34 +0900

konsole (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update dependencies.
  * Update list of installed files.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 08:06:08 +0900
