## konsole 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Do not increase these requirements without a merge-request or/and
@@ -37,13 +37,14 @@
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(KDEClangFormat)
-
+# Remove OPTIONAL when we require EMC >= 5.79
+include(KDEGitCommitHooks OPTIONAL)
 
 # Allows passing e.g. -DECM_ENABLE_SANITIZERS='address;undefined' to cmake.
 include(ECMEnableSanitizers)
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KONSOLEPRIVATE
-    SOVERSION ${RELEASE_SERVICE_VERSION_MAJOR}
+    SOVERSION 1
 )
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
     Core
@@ -109,6 +110,8 @@
 
 file(GLOB ICONS_SRCS "data/icons/*.png")
 
+option(ENABLE_PLUGIN_SSHMANAGER "Build the SSHManager plugin" ON)
+
 add_subdirectory( src )
 add_subdirectory( data )
 add_subdirectory( desktop )
@@ -131,18 +134,14 @@
     DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
 )
 
-option(ENABLE_PLUGIN_SSHMANAGER OFF)
-
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-# Do not do bulk whitespace/style changes without MRs and maintainer(s)
-# approval.  clang-format executeable needs to be installed prior to initial
-# building; then do make clang-format.
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.c *.cpp *.h *.hpp)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-# Let's not do pre-hooks yet
-#kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+if (ECM_VERSION VERSION_GREATER_EQUAL 5.79.0)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 if (KF5DocTools_FOUND)
  kdoctools_install(po)
