=== src/colorscheme/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     ColorSchemeWallpaper.cpp
     ColorSchemeEditor.cpp
     ColorSchemeViewDelegate.cpp
+    RandomizationRange.cpp
 )
 
 ki18n_wrap_ui(konsole_colorscheme_SRCS
@@ -17,6 +18,8 @@
     HEADER colorschemedebug.h
     IDENTIFIER ColorSchemeDebug
     CATEGORY_NAME org.kde.konsole.colorScheme
+    DESCRIPTION "Konsole - colorscheme"
+    EXPORT KONSOLE
 )
 
 add_library(konsolecolorscheme
@@ -24,7 +27,10 @@
     ${konsole_colorscheme_SRCS}
 )
 generate_export_header(konsolecolorscheme BASE_NAME konsolecolorscheme)
-target_include_directories(konsolecolorscheme PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
+target_include_directories(konsolecolorscheme
+    PUBLIC ${CMAKE_CURRENT_BINARY_DIR}
+    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
+
 target_link_libraries(
     konsolecolorscheme
     ${konsole_LIBS}
