=== src/plugins/CMakeLists.txt ===
if(ENABLE_PLUGIN_SSHMANAGER)
    add_subdirectory(SSHManager)
endif()
