=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DENABLE_PLUGIN_SSHMANAGER=ON

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_before_dh_lintian:
	mkdir -p debian/.debhelper/konsole/dbgsym-root/usr/share/lintian/overrides/
	cp debian/konsole-dbgsym.lintian-overrides debian/.debhelper/konsole/dbgsym-root/usr/share/lintian/overrides/konsole-dbgsym
