=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
                libx11-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.15.0~),
+               zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/konsole
